﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Web;
using System.Web.Script.Serialization;
using Carre.ManualDataEntry.Models;

namespace Carre.ManualDataEntry.Services
{
	public class UserProfileService
	{
		public UserProfile GetUserProfile(string token)
		{
			using (var client = new HttpClient()) {
				client.BaseAddress = new Uri("https://carre.kmi.open.ac.uk");

				var result = client.GetAsync("/ws/userProfile?token=" + token).Result;
				var resultContent = result.Content.ReadAsStringAsync().Result;

				var serializer = new JavaScriptSerializer();
				var userProfile = (UserProfile)serializer.Deserialize(resultContent, typeof(UserProfile));

				return userProfile;
			}	
		}
	}
}