﻿using System;
using System.Linq;
using System.Web.Mvc;
using Carre.ManualDataEntry.Models;

namespace Carre.ManualDataEntry.Controllers
{
    public class EntryController : Controller
    {
		private readonly FormDbContext _db = new FormDbContext();

        // GET: Entry
        public ActionResult Index(string token)
        {
	        if (token == null)
	        {
		        throw new ArgumentException("token");
	        }

	        if (_db.UserTokens.Any(u => u.SessionId == Session.SessionID))
	        {
		        _db.UserTokens.First(u => u.SessionId == Session.SessionID).CarreToken = token;
	        }
			else
	        {
		        _db.UserTokens.Add(new UserToken
		        {
					SessionId = Session.SessionID,
					CarreToken = token
		        });
	        }

	        _db.SaveChanges();

            return RedirectToAction("Index", "Home");
        }
    }
}