﻿using System;
using System.ComponentModel.DataAnnotations;

namespace Carre.ManualDataEntry.Models
{
	public class Diagnosis
	{
		[Key]
		public string Author { get; set; }

		[Key]
		public int Number { get; set; }

		public string IcdCode { get; set; }

		public string Description { get; set; }

		public DateTime? OnsetDate { get; set; }

		public DateTime? EndDate { get; set; }

		public string ResolutionCircumstances { get; set; }

		public DateTime? CreateDate { get; set; }

		public DateTime? UpdateDate { get; set; }
	}
}