﻿using System;

namespace Carre.ManualDataEntry.Models
{
	public class FormField
	{
		public Item observable { get; set; }
		public Item predicate { get; set; }
		public Item name { get; set; }
		public Item datatype { get; set; }
		public Item label { get; set; }
		public Item measurement_type { get; set; }
		public Item unit { get; set; }
	}
	public class FormFieldWrapper : FormField
	{
		public string Input { get; set; }

		public bool Real { get; set; }
		public FieldType FieldType { get; set; }
		public string BooleanStringRepresentation { get; set; }
	}

	public class Item
	{
		public string type { get; set; }

		public string value { get; set; }
	}

	public enum FieldType
	{
		Text, CheckBox
	}
}