﻿using System;
using System.ComponentModel.DataAnnotations;

namespace Carre.ManualDataEntry.Models
{
	public class Medication
	{
		[Key]
		public string Author { get; set; }

		[Key]
		public int Number { get; set; }

		public string Name { get; set; }

		public string Dose { get; set; }

		public float TimesPerDay { get; set; }

		public DateTime? StartDate { get; set; }

		public DateTime? EndDate { get; set; }

		public DateTime CreateDate { get; set; }

		public DateTime? UpdateDate { get; set; }
	}
}