﻿using System;
using System.ComponentModel.DataAnnotations;

namespace Carre.ManualDataEntry.Models
{
	public class PersonalInformation
	{
		[Key]
		public string AuthorId { get; set; }
		
        public string FirstName { get; set; }
		
		public string LastName { get; set; }

		public DateTime? BirthDate { get; set; }

		public Gender Gender { get; set; }
		
		public string StreetAddress { get; set; }
		
		public string City { get; set; }
		
		public string PostCode { get; set; }
		
		public string Country { get; set; }
		
		public string PhoneNumber { get; set; }

		public DateTime CreateDate { get; set; }

		public DateTime? UpdateDate { get; set; }
	}

	public enum Gender
	{
		Male,
		Female
	}
}